# Class: oToolbar

## $. oToolbar

A toolbar that can contain any type of widgets.

#### new $.oToolbar(name, widgets, parent, show)

openHarmony/openHarmony_application.js, line 404
  The $.oToolbar constructor.

  Name | Type | Description
  --- | --- | ---
  `name` | string | The name of the toolbar to create.
  `widgets` | Array.<QWidget> | optional The list of widgets to add to the toolbar.
  `parent` | QWidget | optional The parent widget to add the toolbar to.
  `show` | bool | optional Whether to show the toolbar instantly after creation.

### Members

#### show

  Shows the oToolbar.